%define upstream_name    AI-Gene-Sequence
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Base class of mutation methods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/AI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This is a class which provides generic methods for the creation and
mutation of genetic sequences. Various mutations are provided but the
resulting mutations are not checked for a correct syntax. These classes are
suitable for genes where it is only necessary to know what lies at a given
position in a gene. If you need to ensure a gene maintains a sensible
grammar, then you should use the AI::Gene::Sequence class instead, the
interfaces are the same though so you will only need to modify your
overriding classes if you need to switch from one to the other.

A suitable use for this module might be a series of coefficients in a
polynomial expansion or notes to be played in a musical score.

This module should not be confused with the _bioperl_ modules which are
used to analyse DNA sequences.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.220.0-12.mga10
+ Revision: 2202596
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.220.0-11.mga9
+ Revision: 1808118
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.220.0-10.mga8
+ Revision: 1503350
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.220.0-9.mga7
+ Revision: 1281529
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.220.0-8.mga7
+ Revision: 1162761
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 0.220.0-7.mga6
+ Revision: 1022195
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.220.0-6.mga6
+ Revision: 931977
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.220.0-5.mga5
+ Revision: 745109
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.220.0-4.mga5
+ Revision: 683407
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.220.0-3.mga4
+ Revision: 508924
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 362756
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 03 2011 kharec <kharec> 0.220.0-1.mga2
+ Revision: 175601
- imported package perl-AI-Gene-Sequence


* Sat Dec 03 2011 cpan2dist 0.22-1mga
- initial mageia release, generated with cpan2dist
